<!DOCTYPE HTML>
<html lang="en">
<head>
<!-- Generated by javadoc (17) on Thu Oct 27 22:53:58 EEST 2022 -->
<title>G-Index</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2022-10-27">
<meta name="description" content="index: G">
<meta name="generator" content="javadoc/IndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="index-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html#index">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">R</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">U</a>&nbsp;<a href="index-19.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../constant-values.html">Constant&nbsp;Field&nbsp;Values</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a>
<h2 class="title" id="I:G">G</h2>
<dl class="index">
<dt><a href="../org/vtokarev/dao/GenericDao.html" class="type-name-link" title="interface in org.vtokarev.dao">GenericDao</a>&lt;<a href="../org/vtokarev/dao/GenericDao.html" title="type parameter in GenericDao">T</a>&gt; - Interface in <a href="../org/vtokarev/dao/package-summary.html">org.vtokarev.dao</a></dt>
<dd>
<div class="block"><code>GenericDao</code> interface is the base interface for other specific DAO interfaces which are implemented by DAO classes.</div>
</dd>
<dt><a href="../org/vtokarev/dao/GenericDao.html#get(long)" class="member-name-link">get(long)</a> - Method in interface org.vtokarev.dao.<a href="../org/vtokarev/dao/GenericDao.html" title="interface in org.vtokarev.dao">GenericDao</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/mysql/BookingDaoImpl.html#get(long)" class="member-name-link">get(long)</a> - Method in class org.vtokarev.dao.mysql.<a href="../org/vtokarev/dao/mysql/BookingDaoImpl.html" title="class in org.vtokarev.dao.mysql">BookingDaoImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/mysql/RoomClassDaoImpl.html#get(long)" class="member-name-link">get(long)</a> - Method in class org.vtokarev.dao.mysql.<a href="../org/vtokarev/dao/mysql/RoomClassDaoImpl.html" title="class in org.vtokarev.dao.mysql">RoomClassDaoImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/mysql/RoomDaoImpl.html#get(long)" class="member-name-link">get(long)</a> - Method in class org.vtokarev.dao.mysql.<a href="../org/vtokarev/dao/mysql/RoomDaoImpl.html" title="class in org.vtokarev.dao.mysql">RoomDaoImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/mysql/RoomRequestDaoImpl.html#get(long)" class="member-name-link">get(long)</a> - Method in class org.vtokarev.dao.mysql.<a href="../org/vtokarev/dao/mysql/RoomRequestDaoImpl.html" title="class in org.vtokarev.dao.mysql">RoomRequestDaoImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/mysql/UserDaoImpl.html#get(long)" class="member-name-link">get(long)</a> - Method in class org.vtokarev.dao.mysql.<a href="../org/vtokarev/dao/mysql/UserDaoImpl.html" title="class in org.vtokarev.dao.mysql">UserDaoImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/service/RoomClassService.html#get(long)" class="member-name-link">get(long)</a> - Method in class org.vtokarev.service.<a href="../org/vtokarev/service/RoomClassService.html" title="class in org.vtokarev.service">RoomClassService</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/service/RoomRequestService.html#get(long)" class="member-name-link">get(long)</a> - Method in class org.vtokarev.service.<a href="../org/vtokarev/service/RoomRequestService.html" title="class in org.vtokarev.service">RoomRequestService</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/service/UserService.html#get(long)" class="member-name-link">get(long)</a> - Method in class org.vtokarev.service.<a href="../org/vtokarev/service/UserService.html" title="class in org.vtokarev.service">UserService</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/mysql/RoomRequestDaoImpl.html#get(long,java.sql.Connection)" class="member-name-link">get(long, Connection)</a> - Method in class org.vtokarev.dao.mysql.<a href="../org/vtokarev/dao/mysql/RoomRequestDaoImpl.html" title="class in org.vtokarev.dao.mysql">RoomRequestDaoImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/RoomRequestDao.html#get(long,java.sql.Connection)" class="member-name-link">get(long, Connection)</a> - Method in interface org.vtokarev.dao.<a href="../org/vtokarev/dao/RoomRequestDao.html" title="interface in org.vtokarev.dao">RoomRequestDao</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/mysql/RoomDaoImpl.html#GET_ALL_ROOMS_EDIT_DTO" class="member-name-link">GET_ALL_ROOMS_EDIT_DTO</a> - Static variable in class org.vtokarev.dao.mysql.<a href="../org/vtokarev/dao/mysql/RoomDaoImpl.html" title="class in org.vtokarev.dao.mysql">RoomDaoImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/tuples/Pair.html#getA()" class="member-name-link">getA()</a> - Method in class org.vtokarev.tuples.<a href="../org/vtokarev/tuples/Pair.html" title="class in org.vtokarev.tuples">Pair</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/tuples/Triplet.html#getA()" class="member-name-link">getA()</a> - Method in class org.vtokarev.tuples.<a href="../org/vtokarev/tuples/Triplet.html" title="class in org.vtokarev.tuples">Triplet</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/GenericDao.html#getAll()" class="member-name-link">getAll()</a> - Method in interface org.vtokarev.dao.<a href="../org/vtokarev/dao/GenericDao.html" title="interface in org.vtokarev.dao">GenericDao</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/mysql/BookingDaoImpl.html#getAll()" class="member-name-link">getAll()</a> - Method in class org.vtokarev.dao.mysql.<a href="../org/vtokarev/dao/mysql/BookingDaoImpl.html" title="class in org.vtokarev.dao.mysql">BookingDaoImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/mysql/RoomClassDaoImpl.html#getAll()" class="member-name-link">getAll()</a> - Method in class org.vtokarev.dao.mysql.<a href="../org/vtokarev/dao/mysql/RoomClassDaoImpl.html" title="class in org.vtokarev.dao.mysql">RoomClassDaoImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/mysql/RoomDaoImpl.html#getAll()" class="member-name-link">getAll()</a> - Method in class org.vtokarev.dao.mysql.<a href="../org/vtokarev/dao/mysql/RoomDaoImpl.html" title="class in org.vtokarev.dao.mysql">RoomDaoImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/mysql/RoomRequestDaoImpl.html#getAll()" class="member-name-link">getAll()</a> - Method in class org.vtokarev.dao.mysql.<a href="../org/vtokarev/dao/mysql/RoomRequestDaoImpl.html" title="class in org.vtokarev.dao.mysql">RoomRequestDaoImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/mysql/UserDaoImpl.html#getAll()" class="member-name-link">getAll()</a> - Method in class org.vtokarev.dao.mysql.<a href="../org/vtokarev/dao/mysql/UserDaoImpl.html" title="class in org.vtokarev.dao.mysql">UserDaoImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/service/RoomClassService.html#getAll()" class="member-name-link">getAll()</a> - Method in class org.vtokarev.service.<a href="../org/vtokarev/service/RoomClassService.html" title="class in org.vtokarev.service">RoomClassService</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/service/UserService.html#getAll()" class="member-name-link">getAll()</a> - Method in class org.vtokarev.service.<a href="../org/vtokarev/service/UserService.html" title="class in org.vtokarev.service">UserService</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/mysql/RoomDaoImpl.html#getAllRoomsEditDto()" class="member-name-link">getAllRoomsEditDto()</a> - Method in class org.vtokarev.dao.mysql.<a href="../org/vtokarev/dao/mysql/RoomDaoImpl.html" title="class in org.vtokarev.dao.mysql">RoomDaoImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/RoomDao.html#getAllRoomsEditDto()" class="member-name-link">getAllRoomsEditDto()</a> - Method in interface org.vtokarev.dao.<a href="../org/vtokarev/dao/RoomDao.html" title="interface in org.vtokarev.dao">RoomDao</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/service/RoomService.html#getAllRoomsEditDto()" class="member-name-link">getAllRoomsEditDto()</a> - Method in class org.vtokarev.service.<a href="../org/vtokarev/service/RoomService.html" title="class in org.vtokarev.service">RoomService</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/tuples/Pair.html#getB()" class="member-name-link">getB()</a> - Method in class org.vtokarev.tuples.<a href="../org/vtokarev/tuples/Pair.html" title="class in org.vtokarev.tuples">Pair</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/tuples/Triplet.html#getB()" class="member-name-link">getB()</a> - Method in class org.vtokarev.tuples.<a href="../org/vtokarev/tuples/Triplet.html" title="class in org.vtokarev.tuples">Triplet</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dto/BookingDto.html#getBooking()" class="member-name-link">getBooking()</a> - Method in class org.vtokarev.dto.<a href="../org/vtokarev/dto/BookingDto.html" title="class in org.vtokarev.dto">BookingDto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/BookingDao.html#getBookingById(long)" class="member-name-link">getBookingById(long)</a> - Method in interface org.vtokarev.dao.<a href="../org/vtokarev/dao/BookingDao.html" title="interface in org.vtokarev.dao">BookingDao</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/mysql/BookingDaoImpl.html#getBookingById(long)" class="member-name-link">getBookingById(long)</a> - Method in class org.vtokarev.dao.mysql.<a href="../org/vtokarev/dao/mysql/BookingDaoImpl.html" title="class in org.vtokarev.dao.mysql">BookingDaoImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/service/BookingService.html#getBookingDtoById(long)" class="member-name-link">getBookingDtoById(long)</a> - Method in class org.vtokarev.service.<a href="../org/vtokarev/service/BookingService.html" title="class in org.vtokarev.service">BookingService</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/RoomRequest.html#getBookingId()" class="member-name-link">getBookingId()</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/RoomRequest.html" title="class in org.vtokarev.domain">RoomRequest</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/mysql/RoomDaoImpl.html#getBookingRooms(java.time.LocalDate,java.time.LocalDate,boolean,java.lang.Long,java.lang.Integer,java.lang.String,java.lang.Integer,java.lang.Integer)" class="member-name-link">getBookingRooms(LocalDate, LocalDate, boolean, Long, Integer, String, Integer, Integer)</a> - Method in class org.vtokarev.dao.mysql.<a href="../org/vtokarev/dao/mysql/RoomDaoImpl.html" title="class in org.vtokarev.dao.mysql">RoomDaoImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/RoomDao.html#getBookingRooms(java.time.LocalDate,java.time.LocalDate,boolean,java.lang.Long,java.lang.Integer,java.lang.String,java.lang.Integer,java.lang.Integer)" class="member-name-link">getBookingRooms(LocalDate, LocalDate, boolean, Long, Integer, String, Integer, Integer)</a> - Method in interface org.vtokarev.dao.<a href="../org/vtokarev/dao/RoomDao.html" title="interface in org.vtokarev.dao">RoomDao</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/mysql/RoomDaoImpl.html#getBookingRoomsCount(java.time.LocalDate,java.time.LocalDate,boolean,java.lang.Long,java.lang.Integer)" class="member-name-link">getBookingRoomsCount(LocalDate, LocalDate, boolean, Long, Integer)</a> - Method in class org.vtokarev.dao.mysql.<a href="../org/vtokarev/dao/mysql/RoomDaoImpl.html" title="class in org.vtokarev.dao.mysql">RoomDaoImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/RoomDao.html#getBookingRoomsCount(java.time.LocalDate,java.time.LocalDate,boolean,java.lang.Long,java.lang.Integer)" class="member-name-link">getBookingRoomsCount(LocalDate, LocalDate, boolean, Long, Integer)</a> - Method in interface org.vtokarev.dao.<a href="../org/vtokarev/dao/RoomDao.html" title="interface in org.vtokarev.dao">RoomDao</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/service/RoomService.html#getBookingRoomsCount(java.time.LocalDate,java.time.LocalDate,boolean,java.lang.Long,java.lang.Integer)" class="member-name-link">getBookingRoomsCount(LocalDate, LocalDate, boolean, Long, Integer)</a> - Method in class org.vtokarev.service.<a href="../org/vtokarev/service/RoomService.html" title="class in org.vtokarev.service">RoomService</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/BookingDao.html#getBookingsByUserId(long)" class="member-name-link">getBookingsByUserId(long)</a> - Method in interface org.vtokarev.dao.<a href="../org/vtokarev/dao/BookingDao.html" title="interface in org.vtokarev.dao">BookingDao</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/mysql/BookingDaoImpl.html#getBookingsByUserId(long)" class="member-name-link">getBookingsByUserId(long)</a> - Method in class org.vtokarev.dao.mysql.<a href="../org/vtokarev/dao/mysql/BookingDaoImpl.html" title="class in org.vtokarev.dao.mysql">BookingDaoImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/service/BookingService.html#getBookingsByUserId(long,boolean)" class="member-name-link">getBookingsByUserId(long, boolean)</a> - Method in class org.vtokarev.service.<a href="../org/vtokarev/service/BookingService.html" title="class in org.vtokarev.service">BookingService</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dto/RoomRequestDto.html#getBookingStatus()" class="member-name-link">getBookingStatus()</a> - Method in class org.vtokarev.dto.<a href="../org/vtokarev/dto/RoomRequestDto.html" title="class in org.vtokarev.dto">RoomRequestDto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/mysql/UserDaoImpl.html#getByEmail(java.lang.String)" class="member-name-link">getByEmail(String)</a> - Method in class org.vtokarev.dao.mysql.<a href="../org/vtokarev/dao/mysql/UserDaoImpl.html" title="class in org.vtokarev.dao.mysql">UserDaoImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/UserDao.html#getByEmail(java.lang.String)" class="member-name-link">getByEmail(String)</a> - Method in interface org.vtokarev.dao.<a href="../org/vtokarev/dao/UserDao.html" title="interface in org.vtokarev.dao">UserDao</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/mysql/RoomDaoImpl.html#getByNumber(java.lang.String)" class="member-name-link">getByNumber(String)</a> - Method in class org.vtokarev.dao.mysql.<a href="../org/vtokarev/dao/mysql/RoomDaoImpl.html" title="class in org.vtokarev.dao.mysql">RoomDaoImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/RoomDao.html#getByNumber(java.lang.String)" class="member-name-link">getByNumber(String)</a> - Method in interface org.vtokarev.dao.<a href="../org/vtokarev/dao/RoomDao.html" title="interface in org.vtokarev.dao">RoomDao</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/service/RoomService.html#getByNumber(java.lang.String)" class="member-name-link">getByNumber(String)</a> - Method in class org.vtokarev.service.<a href="../org/vtokarev/service/RoomService.html" title="class in org.vtokarev.service">RoomService</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/tuples/Triplet.html#getC()" class="member-name-link">getC()</a> - Method in class org.vtokarev.tuples.<a href="../org/vtokarev/tuples/Triplet.html" title="class in org.vtokarev.tuples">Triplet</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/Room.html#getCapacity()" class="member-name-link">getCapacity()</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/Room.html" title="class in org.vtokarev.domain">Room</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dto/BookingDto.html#getCapacity()" class="member-name-link">getCapacity()</a> - Method in class org.vtokarev.dto.<a href="../org/vtokarev/dto/BookingDto.html" title="class in org.vtokarev.dto">BookingDto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/Booking.html#getCheckin()" class="member-name-link">getCheckin()</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/Booking.html" title="class in org.vtokarev.domain">Booking</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/RoomRequest.html#getCheckin()" class="member-name-link">getCheckin()</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/RoomRequest.html" title="class in org.vtokarev.domain">RoomRequest</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/Booking.html#getCheckout()" class="member-name-link">getCheckout()</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/Booking.html" title="class in org.vtokarev.domain">Booking</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/RoomRequest.html#getCheckout()" class="member-name-link">getCheckout()</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/RoomRequest.html" title="class in org.vtokarev.domain">RoomRequest</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/mysql/BaseDaoImpl.html#getConnection()" class="member-name-link">getConnection()</a> - Method in class org.vtokarev.dao.mysql.<a href="../org/vtokarev/dao/mysql/BaseDaoImpl.html" title="class in org.vtokarev.dao.mysql">BaseDaoImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/service/RoomService.html#getCreateErrorMessage(java.lang.String)" class="member-name-link">getCreateErrorMessage(String)</a> - Method in class org.vtokarev.service.<a href="../org/vtokarev/service/RoomService.html" title="class in org.vtokarev.service">RoomService</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/service/UserService.html#getCreateErrorMessage(java.lang.String,java.lang.String,java.lang.String,java.lang.String)" class="member-name-link">getCreateErrorMessage(String, String, String, String)</a> - Method in class org.vtokarev.service.<a href="../org/vtokarev/service/UserService.html" title="class in org.vtokarev.service">UserService</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/Room.html#getDescription()" class="member-name-link">getDescription()</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/Room.html" title="class in org.vtokarev.domain">Room</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dto/BookingDto.html#getDescription()" class="member-name-link">getDescription()</a> - Method in class org.vtokarev.dto.<a href="../org/vtokarev/dto/BookingDto.html" title="class in org.vtokarev.dto">BookingDto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/service/RoomService.html#getEditErrorMessage(long,java.lang.String)" class="member-name-link">getEditErrorMessage(long, String)</a> - Method in class org.vtokarev.service.<a href="../org/vtokarev/service/RoomService.html" title="class in org.vtokarev.service">RoomService</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/service/UserService.html#getEditErrorMessage(java.lang.String,java.lang.String,java.lang.String,java.lang.String)" class="member-name-link">getEditErrorMessage(String, String, String, String)</a> - Method in class org.vtokarev.service.<a href="../org/vtokarev/service/UserService.html" title="class in org.vtokarev.service">UserService</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/User.html#getEmail()" class="member-name-link">getEmail()</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/User.html" title="class in org.vtokarev.domain">User</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/User.html#getFirstName()" class="member-name-link">getFirstName()</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/User.html" title="class in org.vtokarev.domain">User</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/RoomRequest.html#getGuestNotes()" class="member-name-link">getGuestNotes()</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/RoomRequest.html" title="class in org.vtokarev.domain">RoomRequest</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/Booking.html#getId()" class="member-name-link">getId()</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/Booking.html" title="class in org.vtokarev.domain">Booking</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/Room.html#getId()" class="member-name-link">getId()</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/Room.html" title="class in org.vtokarev.domain">Room</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/RoomClass.html#getId()" class="member-name-link">getId()</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/RoomClass.html" title="class in org.vtokarev.domain">RoomClass</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/RoomRequest.html#getId()" class="member-name-link">getId()</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/RoomRequest.html" title="class in org.vtokarev.domain">RoomRequest</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/User.html#getId()" class="member-name-link">getId()</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/User.html" title="class in org.vtokarev.domain">User</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/mysql/RoomDaoImpl.html#getImagePaths(org.vtokarev.domain.Room)" class="member-name-link">getImagePaths(Room)</a> - Method in class org.vtokarev.dao.mysql.<a href="../org/vtokarev/dao/mysql/RoomDaoImpl.html" title="class in org.vtokarev.dao.mysql">RoomDaoImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/RoomDao.html#getImagePaths(org.vtokarev.domain.Room)" class="member-name-link">getImagePaths(Room)</a> - Method in interface org.vtokarev.dao.<a href="../org/vtokarev/dao/RoomDao.html" title="interface in org.vtokarev.dao">RoomDao</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/service/RoomService.html#getImagePaths(org.vtokarev.domain.Room)" class="member-name-link">getImagePaths(Room)</a> - Method in class org.vtokarev.service.<a href="../org/vtokarev/service/RoomService.html" title="class in org.vtokarev.service">RoomService</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/mysql/RoomDaoImpl.html#getImageRealPathDirectory(org.vtokarev.domain.Room)" class="member-name-link">getImageRealPathDirectory(Room)</a> - Method in class org.vtokarev.dao.mysql.<a href="../org/vtokarev/dao/mysql/RoomDaoImpl.html" title="class in org.vtokarev.dao.mysql">RoomDaoImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/RoomDao.html#getImageRealPathDirectory(org.vtokarev.domain.Room)" class="member-name-link">getImageRealPathDirectory(Room)</a> - Method in interface org.vtokarev.dao.<a href="../org/vtokarev/dao/RoomDao.html" title="interface in org.vtokarev.dao">RoomDao</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/service/RoomService.html#getImageRealPathDirectory(org.vtokarev.domain.Room)" class="member-name-link">getImageRealPathDirectory(Room)</a> - Method in class org.vtokarev.service.<a href="../org/vtokarev/service/RoomService.html" title="class in org.vtokarev.service">RoomService</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dto/RoomEditDto.html#getImages()" class="member-name-link">getImages()</a> - Method in class org.vtokarev.dto.<a href="../org/vtokarev/dto/RoomEditDto.html" title="class in org.vtokarev.dto">RoomEditDto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dto/RoomSearchDto.html#getImages()" class="member-name-link">getImages()</a> - Method in class org.vtokarev.dto.<a href="../org/vtokarev/dto/RoomSearchDto.html" title="class in org.vtokarev.dto">RoomSearchDto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/User.html#getLastName()" class="member-name-link">getLastName()</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/User.html" title="class in org.vtokarev.domain">User</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/RoomRequest.html#getManagerNotes()" class="member-name-link">getManagerNotes()</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/RoomRequest.html" title="class in org.vtokarev.domain">RoomRequest</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/mysql/RoomDaoImpl.html#getMaxCapacity()" class="member-name-link">getMaxCapacity()</a> - Method in class org.vtokarev.dao.mysql.<a href="../org/vtokarev/dao/mysql/RoomDaoImpl.html" title="class in org.vtokarev.dao.mysql">RoomDaoImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/RoomDao.html#getMaxCapacity()" class="member-name-link">getMaxCapacity()</a> - Method in interface org.vtokarev.dao.<a href="../org/vtokarev/dao/RoomDao.html" title="interface in org.vtokarev.dao">RoomDao</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/service/RoomService.html#getMaxCapacity()" class="member-name-link">getMaxCapacity()</a> - Method in class org.vtokarev.service.<a href="../org/vtokarev/service/RoomService.html" title="class in org.vtokarev.service">RoomService</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/Room.html#getName()" class="member-name-link">getName()</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/Room.html" title="class in org.vtokarev.domain">Room</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/RoomClass.html#getName()" class="member-name-link">getName()</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/RoomClass.html" title="class in org.vtokarev.domain">RoomClass</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/Room.html#getNumber()" class="member-name-link">getNumber()</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/Room.html" title="class in org.vtokarev.domain">Room</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/User.html#getPassword()" class="member-name-link">getPassword()</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/User.html" title="class in org.vtokarev.domain">User</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/tag/FormatLocalDateTime.html#getPattern()" class="member-name-link">getPattern()</a> - Method in class org.vtokarev.tag.<a href="../org/vtokarev/tag/FormatLocalDateTime.html" title="class in org.vtokarev.tag">FormatLocalDateTime</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/RoomRequest.html#getPersonsNumber()" class="member-name-link">getPersonsNumber()</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/RoomRequest.html" title="class in org.vtokarev.domain">RoomRequest</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/Booking.html#getPrice()" class="member-name-link">getPrice()</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/Booking.html" title="class in org.vtokarev.domain">Booking</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/Room.html#getPrice()" class="member-name-link">getPrice()</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/Room.html" title="class in org.vtokarev.domain">Room</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/RoomRequest.html#getRegDate()" class="member-name-link">getRegDate()</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/RoomRequest.html" title="class in org.vtokarev.domain">RoomRequest</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/User.html#getRegDate()" class="member-name-link">getRegDate()</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/User.html" title="class in org.vtokarev.domain">User</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/service/RoomRequestService.html#getRegistrationErrorMessage(java.time.LocalDate,java.time.LocalDate,long,int)" class="member-name-link">getRegistrationErrorMessage(LocalDate, LocalDate, long, int)</a> - Method in class org.vtokarev.service.<a href="../org/vtokarev/service/RoomRequestService.html" title="class in org.vtokarev.service">RoomRequestService</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/mysql/RoomRequestDaoImpl.html#getRequestsByUserId(java.lang.Long)" class="member-name-link">getRequestsByUserId(Long)</a> - Method in class org.vtokarev.dao.mysql.<a href="../org/vtokarev/dao/mysql/RoomRequestDaoImpl.html" title="class in org.vtokarev.dao.mysql">RoomRequestDaoImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/RoomRequestDao.html#getRequestsByUserId(java.lang.Long)" class="member-name-link">getRequestsByUserId(Long)</a> - Method in interface org.vtokarev.dao.<a href="../org/vtokarev/dao/RoomRequestDao.html" title="interface in org.vtokarev.dao">RoomRequestDao</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/service/RoomRequestService.html#getRequestsByUserId(java.lang.Long)" class="member-name-link">getRequestsByUserId(Long)</a> - Method in class org.vtokarev.service.<a href="../org/vtokarev/service/RoomRequestService.html" title="class in org.vtokarev.service">RoomRequestService</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dto/RoomEditDto.html#getRoom()" class="member-name-link">getRoom()</a> - Method in class org.vtokarev.dto.<a href="../org/vtokarev/dto/RoomEditDto.html" title="class in org.vtokarev.dto">RoomEditDto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dto/RoomSearchDto.html#getRoom()" class="member-name-link">getRoom()</a> - Method in class org.vtokarev.dto.<a href="../org/vtokarev/dto/RoomSearchDto.html" title="class in org.vtokarev.dto">RoomSearchDto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/service/RoomService.html#getRoomById(long)" class="member-name-link">getRoomById(long)</a> - Method in class org.vtokarev.service.<a href="../org/vtokarev/service/RoomService.html" title="class in org.vtokarev.service">RoomService</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dto/RoomEditDto.html#getRoomClass()" class="member-name-link">getRoomClass()</a> - Method in class org.vtokarev.dto.<a href="../org/vtokarev/dto/RoomEditDto.html" title="class in org.vtokarev.dto">RoomEditDto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/Room.html#getRoomClassId()" class="member-name-link">getRoomClassId()</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/Room.html" title="class in org.vtokarev.domain">Room</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/RoomRequest.html#getRoomClassId()" class="member-name-link">getRoomClassId()</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/RoomRequest.html" title="class in org.vtokarev.domain">RoomRequest</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dto/BookingDto.html#getRoomClassName()" class="member-name-link">getRoomClassName()</a> - Method in class org.vtokarev.dto.<a href="../org/vtokarev/dto/BookingDto.html" title="class in org.vtokarev.dto">BookingDto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dto/RoomRequestDto.html#getRoomClassName()" class="member-name-link">getRoomClassName()</a> - Method in class org.vtokarev.dto.<a href="../org/vtokarev/dto/RoomRequestDto.html" title="class in org.vtokarev.dto">RoomRequestDto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dto/RoomSearchDto.html#getRoomClassName()" class="member-name-link">getRoomClassName()</a> - Method in class org.vtokarev.dto.<a href="../org/vtokarev/dto/RoomSearchDto.html" title="class in org.vtokarev.dto">RoomSearchDto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/Booking.html#getRoomId()" class="member-name-link">getRoomId()</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/Booking.html" title="class in org.vtokarev.domain">Booking</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dto/BookingDto.html#getRoomName()" class="member-name-link">getRoomName()</a> - Method in class org.vtokarev.dto.<a href="../org/vtokarev/dto/BookingDto.html" title="class in org.vtokarev.dto">BookingDto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dto/BookingDto.html#getRoomNumber()" class="member-name-link">getRoomNumber()</a> - Method in class org.vtokarev.dto.<a href="../org/vtokarev/dto/BookingDto.html" title="class in org.vtokarev.dto">BookingDto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dto/RoomRequestDto.html#getRoomRequest()" class="member-name-link">getRoomRequest()</a> - Method in class org.vtokarev.dto.<a href="../org/vtokarev/dto/RoomRequestDto.html" title="class in org.vtokarev.dto">RoomRequestDto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/service/RoomService.html#getRoomsByParams(java.time.LocalDate,java.time.LocalDate,boolean,java.lang.Long,java.lang.Integer,java.lang.String,java.lang.Integer,java.lang.Integer)" class="member-name-link">getRoomsByParams(LocalDate, LocalDate, boolean, Long, Integer, String, Integer, Integer)</a> - Method in class org.vtokarev.service.<a href="../org/vtokarev/service/RoomService.html" title="class in org.vtokarev.service">RoomService</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/Booking.html#getStatus()" class="member-name-link">getStatus()</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/Booking.html" title="class in org.vtokarev.domain">Booking</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/RoomRequest.html#getStatus()" class="member-name-link">getStatus()</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/RoomRequest.html" title="class in org.vtokarev.domain">RoomRequest</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dto/RoomSearchDto.html#getStatus()" class="member-name-link">getStatus()</a> - Method in class org.vtokarev.dto.<a href="../org/vtokarev/dto/RoomSearchDto.html" title="class in org.vtokarev.dto">RoomSearchDto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/Booking.html#getStatusChanged()" class="member-name-link">getStatusChanged()</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/Booking.html" title="class in org.vtokarev.domain">Booking</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dto/BookingDto.html#getTimeLeft()" class="member-name-link">getTimeLeft()</a> - Method in class org.vtokarev.dto.<a href="../org/vtokarev/dto/BookingDto.html" title="class in org.vtokarev.dto">BookingDto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/service/UserService.html#getUserByEmail(java.lang.String)" class="member-name-link">getUserByEmail(String)</a> - Method in class org.vtokarev.service.<a href="../org/vtokarev/service/UserService.html" title="class in org.vtokarev.service">UserService</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dto/RoomRequestDto.html#getUserEmail()" class="member-name-link">getUserEmail()</a> - Method in class org.vtokarev.dto.<a href="../org/vtokarev/dto/RoomRequestDto.html" title="class in org.vtokarev.dto">RoomRequestDto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dto/RoomRequestDto.html#getUserFirstName()" class="member-name-link">getUserFirstName()</a> - Method in class org.vtokarev.dto.<a href="../org/vtokarev/dto/RoomRequestDto.html" title="class in org.vtokarev.dto">RoomRequestDto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/Booking.html#getUserId()" class="member-name-link">getUserId()</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/Booking.html" title="class in org.vtokarev.domain">Booking</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/RoomRequest.html#getUserId()" class="member-name-link">getUserId()</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/RoomRequest.html" title="class in org.vtokarev.domain">RoomRequest</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/User.html#getUserRole()" class="member-name-link">getUserRole()</a> - Method in class org.vtokarev.domain.<a href="../org/vtokarev/domain/User.html" title="class in org.vtokarev.domain">User</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/tag/FormatLocalDateTime.html#getValue()" class="member-name-link">getValue()</a> - Method in class org.vtokarev.tag.<a href="../org/vtokarev/tag/FormatLocalDateTime.html" title="class in org.vtokarev.tag">FormatLocalDateTime</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/tag/FormatLocalDateTime.html#getZoneOffset()" class="member-name-link">getZoneOffset()</a> - Method in class org.vtokarev.tag.<a href="../org/vtokarev/tag/FormatLocalDateTime.html" title="class in org.vtokarev.tag">FormatLocalDateTime</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/domain/UserRole.html#GUEST" class="member-name-link">GUEST</a> - Enum constant in enum class org.vtokarev.domain.<a href="../org/vtokarev/domain/UserRole.html" title="enum class in org.vtokarev.domain">UserRole</a></dt>
<dd>
<div class="block">The role means the <a href="../org/vtokarev/domain/User.html" title="class in org.vtokarev.domain"><code>User</code></a> is a guest of the hotel.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">R</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">U</a>&nbsp;<a href="index-19.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../constant-values.html">Constant&nbsp;Field&nbsp;Values</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a></main>
</div>
</div>
</body>
</html>
